Bug 1332150

Summary: FTBFS: configure: error: Could not find a version of the library!
Product: [Fedora] Fedora Reporter: Karsten Hopp <karsten>
Component: fuse-encfsAssignee: Michel Alexandre Salim <michel>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 24CC: michel, vascom2
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: ppc64le   
OS: Linux   
Whiteboard:
Fixed In Version: fuse-encfs-1.9.2-1.fc26 fuse-encfs-1.9.2-1.fc25 fuse-encfs-1.9.2-3.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-29 21:52:06 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1071880    

Description Karsten Hopp 2016-05-02 11:26:23 UTC
Description of problem:
checking if more special flags are required for pthreads... no
checking for PTHREAD_PRIO_INHERIT... yes
checking for boostlib >= 1.34... yes
configure: WARNING: BOOST_CPPFLAGS -I/usr/include
checking whether the Boost::Serialization library is available... yes
configure: error: Could not find a version of the library!
error: Bad exit status from /var/tmp/rpm-tmp.sABWBE (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.sABWBE (%build)
Child return code was: 1
EXCEPTION: [Error()]

Version-Release number of selected component (if applicable):
fuse-encfs-1.8.1-1.fc24


Steps to Reproduce:
1. ppc-koji build --scratch fuse-encfs-1.8.1-1.fc24.src.rpm
2.
3.

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3343387

Expected results:


Additional info:
ppc64 (big endian) build succeeded

Comment 1 Vasiliy Glazov 2016-08-04 08:27:25 UTC
Created upstream bugreport https://github.com/vgough/encfs/issues/193

Comment 2 Vasiliy Glazov 2016-09-19 12:31:24 UTC
Please check with 1.9.1 release.

Comment 3 Fedora End Of Life 2017-07-25 20:39:24 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora Update System 2017-07-31 11:35:00 UTC
fuse-encfs-1.9.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-daeddd414f

Comment 5 Fedora Update System 2017-07-31 11:35:18 UTC
fuse-encfs-1.9.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-36f02cbd23

Comment 6 Fedora Update System 2017-07-31 20:48:47 UTC
fuse-encfs-1.9.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-daeddd414f

Comment 7 Fedora Update System 2017-07-31 22:23:11 UTC
fuse-encfs-1.9.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9939f33e00

Comment 8 Fedora Update System 2017-08-01 00:25:33 UTC
fuse-encfs-1.9.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-36f02cbd23

Comment 9 Fedora End Of Life 2017-08-08 14:23:32 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Fedora Update System 2017-08-09 15:58:13 UTC
fuse-encfs-1.9.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-08-09 19:58:33 UTC
fuse-encfs-1.9.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-08-14 06:40:49 UTC
fuse-encfs-1.9.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b8b981e9d8

Comment 13 Fedora Update System 2017-08-15 07:49:47 UTC
fuse-encfs-1.9.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b8b981e9d8

Comment 14 Fedora Update System 2017-08-29 21:52:06 UTC
fuse-encfs-1.9.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.